Bug 182886 - update math/coinmp to version 1.7.1
Summary: update math/coinmp to version 1.7.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Danilo Egea Gondolfo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-10 23:40 UTC by Pedro F. Giffuni
Modified: 2013-10-17 00:20 UTC (History)
0 users

See Also:


Attachments
file.diff (792 bytes, patch)
2013-10-10 23:40 UTC, Pedro F. Giffuni
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni 2013-10-10 23:40:00 UTC
This is a pretty minor update.
Apparently only some build magic for the windows port.

Nevertheless it's always good to keep up to date.

Fix: Patch attached with submission follows:
Comment 1 Danilo Egea Gondolfo freebsd_committer 2013-10-11 17:50:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danilo

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-10-17 00:10:28 UTC
Author: danilo
Date: Wed Oct 16 23:10:15 2013
New Revision: 330557
URL: http://svnweb.freebsd.org/changeset/ports/330557

Log:
  - Update from 1.7.0 to 1.7.1 [1]
  - Add stage support
  - Force build with gcc
  - Convert LIB_DEPENDS to new syntax
  
  PR:		ports/182886
  Submitted by:	Pedro Giffuni <giffunip@tutopia.com> [1]
  Approved by:	wg/culot (mentors, implicit)

Modified:
  head/math/coinmp/Makefile
  head/math/coinmp/distinfo
  head/math/coinmp/pkg-plist

Modified: head/math/coinmp/Makefile
==============================================================================
--- head/math/coinmp/Makefile	Wed Oct 16 22:56:27 2013	(r330556)
+++ head/math/coinmp/Makefile	Wed Oct 16 23:10:15 2013	(r330557)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	CoinMP
-PORTVERSION=	1.7.0
+PORTVERSION=	1.7.1
 CATEGORIES=	math
 MASTER_SITES=	http://www.coin-or.org/download/source/CoinMP/
 EXTRACT_SUFX=	.tgz
@@ -17,21 +17,23 @@ LICENSE_PERMS=	auto-accept
 
 CONFLICTS=	clp-[0-9]*
 
+USES=	pkgconfig
 USE_AUTOTOOLS=	libtool
 USE_LDCONFIG=	yes
+USE_GCC=	any
+CONFIGURE_ARGS+=	PKG_CONFIG_PATH=${STAGEDIR}${PREFIX}/libdata/pkgconfig
 
 OPTIONS_DEFINE=	DEBUG DOCS
 
 PORTDOCS=	*
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MGLPK}
 BROKEN =	the GLPK option requires math/glpk headers that are not currently installed by that port
 CONFIGURE_ARGS+=	--with-gmpl-incdir=${LOCALBASE}/include	\
 		--with-gmpl-lib="-L${LOCALBASE}/lib -lglpk"
-LIB_DEPENDS+=	glpk:${PORTSDIR}/math/glpk
+LIB_DEPENDS+=	libglpk.so:${PORTSDIR}/math/glpk
 .else
 CONFIGURE_ARGS+=	--disable-glpk-libcheck
 .endif
@@ -42,11 +44,14 @@ CXXFLAGS+=	-fomit-frame-pointer
 .endif
 
 post-patch::
-	@${REINPLACE_CMD} -E -e \
-		's:\$$\(libdir\)/pkgconfig:${PREFIX}/libdata/pkgconfig:' \
+	@${REINPLACE_CMD} -e \
+		's|$$(libdir)/pkgconfig|${PREFIX}/libdata/pkgconfig|' \
 		${WRKSRC}/Clp/Makefile.in ${WRKSRC}/Osi/Makefile.in \
 		${WRKSRC}/Cbc/Makefile.in ${WRKSRC}/Cgl/Makefile.in \
-		${WRKSRC}/CoinUtils/Makefile.in ${WRKSRC}/CoinMP/Makefile.in
+		${WRKSRC}/CoinUtils/Makefile.in ${WRKSRC}/CoinMP/Makefile.in \
+		${WRKSRC}/Data/Sample/Makefile.in
+	@${REINPLACE_CMD} -e 's|$$(DESTDIR)$$(addlibsdir)|$$(addlibsdir)|g' \
+		${WRKSRC}/CoinMP/Makefile.in
 
 pre-build:
 .for dir in Cbc Cgl Clp CoinMP CoinUtils Osi
@@ -54,10 +59,8 @@ pre-build:
 .endfor
 
 post-install:
-.if ${PORT_OPTIONS:MDOCS}
-	${MV} ${PREFIX}/share/coin/doc ${DOCSDIR}
-.endif
-	${RM} -rf ${PREFIX}/share/coin
+	${MV} ${STAGEDIR}${PREFIX}/share/coin/doc ${STAGEDIR}${DOCSDIR}
+	${RM} -rf ${STAGEDIR}${PREFIX}/share/coin
 
 check regression-test test: build
 	@(cd ${WRKSRC};  ${SETENV} ${MAKE_ENV} ${MAKE} ${_MAKE_JOBS} \

Modified: head/math/coinmp/distinfo
==============================================================================
--- head/math/coinmp/distinfo	Wed Oct 16 22:56:27 2013	(r330556)
+++ head/math/coinmp/distinfo	Wed Oct 16 23:10:15 2013	(r330557)
@@ -1,2 +1,2 @@
-SHA256 (CoinMP-1.7.0.tgz) = 48bb3e89ed9ebbad1ea71ece575419b3bff81ab2c6257d353cf4c948010d5adb
-SIZE (CoinMP-1.7.0.tgz) = 9647250
+SHA256 (CoinMP-1.7.1.tgz) = 47d09494384f1f40ae60b2a21d0c006042d00b1ebfcde7dc68a4f18c9b464ee8
+SIZE (CoinMP-1.7.1.tgz) = 9646573

Modified: head/math/coinmp/pkg-plist
==============================================================================
--- head/math/coinmp/pkg-plist	Wed Oct 16 22:56:27 2013	(r330556)
+++ head/math/coinmp/pkg-plist	Wed Oct 16 23:10:15 2013	(r330557)
@@ -245,7 +245,7 @@ lib/libOsiClp.so.12
 lib/libOsiCommonTests.la
 lib/libOsiCommonTests.so
 lib/libOsiCommonTests.so.11
-lib/pkgconfig/coindatasample.pc
+libdata/pkgconfig/coindatasample.pc
 libdata/pkgconfig/clp.pc
 libdata/pkgconfig/osi-clp.pc
 libdata/pkgconfig/cbc.pc
@@ -256,4 +256,3 @@ libdata/pkgconfig/coinmp.pc
 libdata/pkgconfig/osi-cbc.pc
 libdata/pkgconfig/osi-unittests.pc
 @dirrm include/coin
-@dirrmtry lib/pkgconfig
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Danilo Egea Gondolfo freebsd_committer 2013-10-17 00:11:47 UTC
State Changed
From-To: open->closed

Committed, with changes. Thanks!